Subject: Review Posted
From: "Rambles.Net" <[email-masked]>
To: [email-masked]
Date: Sat, 20 Nov 2004 15:03:08 -0500

Hi!

This is just a quick note to let you know that a review of Legacy of the 
Scottish Fiddle, Vol. 2 has been posted at Rambles (www.rambles.net).  The 
review can be seen at http://www.rambles.net/fraser_legacysf204.html or you 
may wish to read our complete new issue at www.rambles.net/whats_new.html.

Sincerely,
Rambles.net